don't require the exec, as the require is exported as well